Bug 151396 - Megaraid driver resets indefinitly unless acpi=off
Megaraid driver resets indefinitly unless acpi=off
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-03-17 11:19 EST by Andreas Thienemann
Modified: 2008-01-04 14:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-04 14:38:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kernel bootup log (11.54 KB, text/plain)
2005-06-07 17:29 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2005-03-17 11:19:44 EST
Description of problem: When booting one of our servers which contains a LSIL
Megaraid SATA 300-8x controller the megaraid driver loops the following error
during bootup:

megaraid: (Release Date: Mon Sep 27 22:15:07 EDT 2004)
megaraid: probe new device 0x1000:0x0409:0x1000:0x3008: bus 3:slot 14:func 0
megaraid: fw version:[813G] bios version:[H425]
megaraid: scanning scsi channel 0 [Phy 0] for non-raid devices
megaraid: aborting-1 cmd=12 <c=0 =0 l=0>
megaraid abort: 1:0[0:0], fw owner
megaraid: resetting the host...
megaraid: 1 oustanding commands. Max wait 180 sec
megaraid mbox: Wait for 0 commands to complete: 180
megaraid mbox: reset sequence completed sucessfully

This gets repated thrice

scsi: Device offlined - not reading after error recovery: host 0 channel 0 id 1
lun 0

These messages repeat indefinitly.

Version-Release number of selected component (if applicable):

How reproducible:

Defining acpi=off at the bootprompt fixes the issue for now.
Comment 1 Andreas Thienemann 2005-06-07 17:28:50 EDT
According to Matt Domsch, it is likely a IRQ routing issue. Attaching complete
dmesg output and giving a bit more specs about the box:

The Mainboard is a Tyan Tomcat i7210 (S5112) with the bios version 105.

According to the website at http://www.tyan.com/support/html/b_s5112.html there
is a new release which fixes "some compatibility issues with Adaptec SCSI card
and ARC-1120 raid card".
I'll see if this bios fixes the megaraid issue as well during the next scheduled
maintainance window.
Comment 2 Andreas Thienemann 2005-06-07 17:29:33 EDT
Created attachment 115200 [details]
kernel bootup log
Comment 3 Len Brown 2006-01-18 04:06:41 EST
Still an issue with a recent kernel?
If no, is "acpi=noirq" a sufficient workaround?
 If yes, please attach the dmesg and /proc/interrupts from success & failure 
Comment 4 Andreas Thienemann 2008-01-04 14:38:30 EST
Closing issue. I cannot observe this problem anymore with recent RHEL 4.x.

Note You need to log in before you can comment on or make changes to this bug.